using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace muskafidi_de
{
    public partial class Users : Form
    {
        public Users()
        {
            InitializeComponent();
            CenterToParent();
        }

        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.muskafidi_deDataSet);

        }

        private void Users_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_06_muskafidi_deDataSet.Zacazi". При необходимости она может быть перемещена или удалена.
            this.zacaziTableAdapter.Fill(this._06_muskafidi_deDataSet.Zacazi);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_06_muskafidi_deDataSet.users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter1.Fill(this._06_muskafidi_deDataSet.users);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "muskafidi_deDataSet.users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.muskafidi_deDataSet.users);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            usersBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (статусTextBox != null)
            {
                статусTextBox.Text = "2";
            }
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.muskafidi_deDataSet);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (статусTextBox != null)
            {
                статусTextBox.Text = "1";
            }
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.muskafidi_deDataSet);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.muskafidi_deDataSet);
        }

        private void label1_Click(object sender, EventArgs e)
        {
            Admin administrator = new Admin();
            administrator.Show();
            this.Hide();
        }
    }
}
